@import "typo/hr";

.lead {
  line-height: 1.4;
}

a {
  text-decoration-skip-ink: auto;
}

ul,
ol {
  margin: 0 0 1rem 0;
  margin-left: 1rem; // inline-start
  padding: 0;
  padding-left: 1rem; // inline-end
}

h1,
h2,
h3,
h4,
h5,
h6,
.h1,
.h2,
.h3,
.h4,
.h5,
.h6 {
  a {
    color: inherit;
  }
}

h1 {
  line-height: $h1-line-height;
}

h2 {
  line-height: $h2-line-height;
}

h3 {
  line-height: $h3-line-height;
}

h4 {
  line-height: $h4-line-height;
}

h5 {
  line-height: $h5-line-height;
}

h6 {
  line-height: $h6-line-height;
}

strong,
.strong,
b {
  font-weight: $font-weight-bold;
}

blockquote {
  padding-left: 1rem;
  border-left: 2px solid $border-color;

  p {
    margin-bottom: 1rem;
  }

  cite {
    display: block;
    text-align: right;

    &:before {
      content: "— ";
    }
  }
}

hr {
  margin: 2rem 0;
}

dl {
  dd {
    &:last-child {
      margin-bottom: 0;
    }
  }
}

code {
  padding: 2px 4px;
  background: rgba($code-color, .03);
  border: 1px solid rgba($code-color, .064);
  border-radius: $border-radius;
  font-weight: $font-weight-normal;
}


pre {
  padding: 1rem;
  overflow: auto;
  font-size: $code-font-size;
  hyphens: none;
  line-height: $code-line-height;
  tab-size: 3;
  border-radius: $border-radius;
  white-space: pre-wrap;
  background: mix($light, #ffffff, 50%);
  border: 1px solid $border-color-transparent;
  -webkit-font-smoothing: auto;

  code {
    padding: 0;
    background: none;
    border: none;
    border-radius: 0;
  }
}

img {
  max-width: 100%;
}

.list-unstyled {
  margin-left: 0;
}


/**
Selection
 */
::selection {
  color: $white;
  background-color: lighten($primary, 8%);
}

/**
Links
 */
[class^="link-"], [class*=" link-"] {
  &.disabled {
    color: $nav-link-disabled-color;
    pointer-events: none;
  }
}

/**
Subheader
 */
.subheader {
  @include subheader;
}
